Bug 215316 - pygrub traceback when moving cursor one to the right and backspacing
pygrub traceback when moving cursor one to the right and backspacing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 09:07 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 21:34:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix_pygrub_editing_bug.patch (1.08 KB, patch)
2006-11-13 09:07 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-11-13 09:07:28 EST
+++ This bug was initially created as a clone of Bug #208316 +++

Or moving cursor as far right as it'll go.

Traceback (most recent call last):
  File "/usr/bin/pygrub", line 483, in ?
    curses.wrapper(run_main)
  File "/usr/lib/python2.4/curses/wrapper.py", line 44, in wrapper
    return func(stdscr, *args, **kwds)
  File "/usr/bin/pygrub", line 439, in run_main
    sel = g.run()
  File "/usr/bin/pygrub", line 346, in run
    self.run_main(timeout)
  File "/usr/bin/pygrub", line 389, in run_main
    l = self.edit_line(line)
  File "/usr/bin/pygrub", line 259, in edit_line
    ret = t.edit()
  File "/usr/bin/pygrub", line 135, in edit
    r = curses.textpad.Textbox.edit(self)
  File "/usr/lib/python2.4/curses/textpad.py", line 157, in edit
    if not self.do_command(ch):
  File "/usr/bin/pygrub", line 120, in do_command
    self.line.pop(self.pos)
IndexError: pop index out of range
Error: Boot loader didn't return any data!


Was fixed in this xen-unstable ChangeSet:

changeset:   12326:14dc20d98ee1
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Nov 09 14:23:24 2006 +0000
summary:     [PYGRUB] Fix a few bounds violations in pygrub's command-line editor.
Comment 1 Bastien Nocera 2006-11-13 09:07:29 EST
Created attachment 141047 [details]
fix_pygrub_editing_bug.patch
Comment 2 RHEL Product and Program Management 2006-11-13 09:20:33 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Konrad Rzeszutek 2006-12-13 15:13:23 EST
Jeremy,

Is there any help IBM can offer with this BZ?
Comment 6 Konrad Rzeszutek 2006-12-13 17:02:11 EST
Asking for exception. The justication is that the steps to reproduce this
are quite simple: "
--Steps to Reproduce---
1. launch a RHEL guest and auto-attach console (xm create guest -c)
2. On the Grub menu, hit 'e' to edit the boot entry
3. Hit 'e' a second time to edit that line
4. Use the right arrow key to move the cursor past the last character in the line
5. hit backspace"

and that a customer could hit this while playing with Xen. 
Comment 10 Jeremy Katz 2006-12-14 22:22:31 EST
Fixed in xen-3.0.3-16.el5
Comment 11 Jay Turner 2006-12-18 11:29:54 EST
QE ack for RHEL5.
Comment 13 RHEL Product and Program Management 2006-12-22 21:34:52 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.